dpkg-reconfigure doesn't work as expected

Bug #1325746 reported by Scott Moser on 2014-06-02
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cloud-init (Ubuntu)
Medium
Scott Moser
Trusty
Medium
Scott Moser
Utopic
Medium
Scott Moser

Bug Description

[Impact]

 * 'dpkg-reconfigure cloud-init' does not work as expected.

[Test Case]

 * install cloud-init
 * dpkg-reconfigure cloud-init
 * make some changes to selections
 * notice errors like:
   Use of uninitialized value in string eq at /usr/share/perl5/Debconf/Element/Multiselect.pm line 38, <GEN1> line 3.

 * notice that /etc/cloud.cfg/90_dpkg.cfg is not updated as expected.
 * running 'dpkg-reconfigure cloud-init' again will not have kept your selections.

[Regression Potential]

 * low. this was busted. the fix is correct and is in utopic.

--- original bug report ---
running 'dpkg-reconfigure cloud-init' shows an issue.

To recreate:
 dpkg-reconfigure cloud-init
 check some boxes (including anything after MAAS)
 notice that:
   * debconf complains :
      Use of uninitialized value in list assignment at /usr/share/perl5/Debconf/Element/Multiselect.pm line 12
   * /etc/cloud/cloud.cfg.d/90_dpkg.cfg does not have all datasources in it.

Also, running again will show 'Ec2' not selected.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: cloud-init 0.7.5-0ubuntu1
ProcVersionSignature: User Name 3.13.0-27.50-generic 3.13.11
Uname: Linux 3.13.0-27-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
Date: Mon Jun 2 21:12:27 2014
Ec2AMI: ami-000008f3
Ec2AMIManifest: FIXME
Ec2AvailabilityZone: nova
Ec2InstanceType: m1.small
Ec2Kernel: aki-00000548
Ec2Ramdisk: ari-00000548
PackageArchitecture: all
ProcEnviron:
 TERM=screen
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: cloud-init
UpgradeStatus: No upgrade log present (probably fresh install)

Scott Moser (smoser) wrote :
Scott Moser (smoser) on 2014-06-02
Changed in cloud-init (Ubuntu Trusty):
assignee: nobody → Scott Moser (smoser)
importance: Undecided → Medium
status: New → Triaged
Changed in cloud-init (Ubuntu Utopic):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Scott Moser (smoser)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.6~bzr976-0ubuntu1

---------------
cloud-init (0.7.6~bzr976-0ubuntu1) utopic; urgency=medium

  * debian/cloud-init.templates: fix choices so dpkg-reconfigure works as
    expected (LP: #1325746)
  * New upstream snapshot.
    * tests: SmartOS test not depend on /dev/ttyS1 device node (LP: #1316597)
    * poll ttyS1 only after check for 'cloudsigma' in dmidecode (LP: #1316475)
    * cloudsigma: support vendor-data (LP: #1303986)
 -- Scott Moser <email address hidden> Tue, 03 Jun 2014 16:41:07 -0400

Changed in cloud-init (Ubuntu Utopic):
status: Triaged → Fix Released
danieru (samuraidanieru) wrote :

This is blocking me from creating Trusty images for Openstack. Is there a workaround for this, and/or will the fix be backported to Trusty?

Scott Moser (smoser) on 2014-06-20
Changed in cloud-init (Ubuntu Trusty):
status: Triaged → In Progress
description: updated
Scott Moser (smoser) wrote :

Danieru,
  I just uploaded this fix.
  An SRU team member will review it and release it into trusty-proposed.
  After that, it needs verification and then will et into trusty-updates.

StableReleaseProcess is described in detail at https://wiki.ubuntu.com/StableReleaseUpdates
You can help by verifying it when it *does* get into trusty-proposed.

Hello Scott, or anyone else affected,

Accepted cloud-init into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cloud-init/0.7.5-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Scott Moser (smoser) wrote :

$ rel=$(lsb_release -sc);
$ echo "deb http://archive.ubuntu.com/ubuntu/ $rel-proposed main" | sudo tee /etc/apt/sources.list.d/$rel-proposed.list
deb http://archive.ubuntu.com/ubuntu/ trusty-proposed main

$ sudo apt-get update -q
$ sudo apt-cache policy cloud-init
sudo: unable to resolve host trusty-20140707-215033
cloud-init:
  Installed: 0.7.5-0ubuntu1
  Candidate: 0.7.5-0ubuntu1.1
  Version table:
     0.7.5-0ubuntu1.1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
 *** 0.7.5-0ubuntu1 0
        500 http://nova.clouds.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

### Verify broken ###
$ sudo DEBIAN_FRONTEND=text dpkg-reconfigure cloud-init
## answered: 9,13
## (Openstack, None)
## Saw lots of messages like:
### Use of uninitialized value in string eq at /usr/.../Multiselect.pm line 38

$ cat /etc/cloud/cloud.cfg.d/90_dpkg.cfg
# to update this file, run dpkg-reconfigure cloud-init
datasource_list: [ CloudStack ]

### update ###
$ sudo apt-get install cloud-init --assume-yes --quiet

### show fixed
$ sudo DEBIAN_FRONTEND=text dpkg-reconfigure cloud-init

$ cat /etc/cloud/cloud.cfg.d/90_dpkg.cfg
# to update this file, run dpkg-reconfigure cloud-init
datasource_list: [ Openstack, None ]

$ cat /etc/cloud/cloud.cfg.d/90_dpkg.cfg
# to update this file, run dpkg-reconfigure cloud-init
datasource_list: [ Openstack, None ]

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.5-0ubuntu1.1

---------------
cloud-init (0.7.5-0ubuntu1.1) trusty-proposed; urgency=medium

  [ Ben Howard ]
  * debian/patches/lp1316475-1303986-cloudsigma.patch: Backport of
    CloudSigma Datasource from 14.10
    - [FFe] Support VendorData for CloudSigma (LP: #1303986).
    - Only query /dev/ttys1 when CloudSigma is detected (LP: #1316475).

  [ Scott Moser ]
  * debian/cloud-init.templates: fix choices so dpkg-reconfigure works as
    expected (LP: #1325746)
 -- Scott Moser <email address hidden> Fri, 20 Jun 2014 13:29:29 -0400

Changed in cloud-init (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers